# Makefile for Phyllis' Fantasies Web site with Jekyll
MAKE_ROOT_DIR = $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

-include defaults.mk
DEPLOY_DIR ?= $(MAKE_ROOT_DIR)/target

.PHONY:	test deploy

test:
	-(cd sitesrc && jekyll serve)

deploy:
	[ ! -d $(DEPLOY_DIR) ] && mkdir -p $(DEPLOY_DIR) || true
	(cd sitesrc && jekyll build -d $(DEPLOY_DIR))
